"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746ac0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746b60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746c00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746ca0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746d40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746de0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746e80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746f20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1746fc0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747060>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747100>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17471a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747240>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17472e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747380>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747420>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17474c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747560>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747600>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17476a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747740>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17477e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747880>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747920>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17479c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747a60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747b00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747ba0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747c40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747ce0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747d80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747e20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747ec0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1747f60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17940e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794180>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794220>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17942c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794360>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794400>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17944a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794540>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17945e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794680>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794720>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17947c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794860>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794900>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17949a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794a40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794ae0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794b80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794c20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794cc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794d60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794e00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794ea0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794f40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1794fe0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795080>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795120>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17951c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795260>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795300>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17953a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795440>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17954e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795580>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795620>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17956c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795760>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795800>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17958a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795940>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb17959e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795a80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795b20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795bc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795c60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795da0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795d00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795e40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795ee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2cb1795f80>)]
name: str = 'fr_HOCCN'
